Skip to main content
Nowledge MemNowledge Mem

Update Working Memory

PUT
/agent/working-memory

Save changes to the agent's working memory.

Content must include at least a Focus Areas or Briefing section. Maximum 4 KB.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/agent/working-memory" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
{}